package com.uvigo.mhp.ui;

import com.uvigo.mhp.*;
import java.beans.*;

public class HMenuBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(HMenu.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("background", HMenu.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("foreground", HMenu.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("selectionBackground", HMenu.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("selectionForeground", HMenu.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("backgroundMode", HMenu.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("enabled", HMenu.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("font", HMenu.class);
            PropertyDescriptor pd8 = new PropertyDescriptor("layoutOrientation", HMenu.class);
            PropertyDescriptor pd9 = new PropertyDescriptor("visibleRowCount", HMenu.class);
            PropertyDescriptor pd10 = new PropertyDescriptor("fixedCellWidth", HMenu.class);
            PropertyDescriptor pd11 = new PropertyDescriptor("fixedCellHeight", HMenu.class);
            PropertyDescriptor pd12 = new PropertyDescriptor("look", HMenu.class);
            PropertyDescriptor pd13 = new PropertyDescriptor("fireEventOnChange", HMenu.class);
            PropertyDescriptor pd14 = new PropertyDescriptor("configurationFile", HMenu.class);
            PropertyDescriptor pd15 = new PropertyDescriptor("contextManager", HMenu.class);
            PropertyDescriptor pd16 = new PropertyDescriptor("cyclic", HMenu.class);
            PropertyDescriptor pd17 = new PropertyDescriptor("name", HMenu.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd4.setBound(true);
            pd5.setBound(true);
            pd5.setPropertyEditorClass(BackgroundModeEditor.class);
            pd6.setBound(true);
            pd7.setBound(true);
            pd8.setBound(true);
            pd8.setPropertyEditorClass(HMenuLayoutOrientationEditor.class);            
            pd9.setBound(true);
            pd10.setBound(true);
            pd10.setExpert(true);
            pd11.setBound(true);
            pd11.setExpert(true);
            pd12.setBound(true);
            pd13.setBound(true);
            pd14.setBound(true);
            pd15.setBound(true);
            pd16.setBound(true);
            pd17.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9, pd10, pd11, pd12, pd13, pd14, pd15, pd16, pd17};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public EventSetDescriptor[] getEventSetDescriptors()
    {
        try
        {
            EventSetDescriptor ed1 = new EventSetDescriptor(
            HMenu.class, "context", ContextListener.class,
            new String[]
            {"contextChanged", "subcontextEntered"}, "addContextListener", "removeContextListener");
            
            return new EventSetDescriptor[]
            {ed1};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
